#
# Conditional build:
%bcond_without	tests	# unit tests

%define		pdir	DBM
%define		pnam	Deep
Summary:	DBM::Deep - A pure Perl multi-level hash/array DBM
Summary(pl.UTF-8):	DBM::Deep - czysto perlowy moduł DBM dla wielopoziomowych haszy/tablic
Name:		perl-DBM-Deep
Version:	2.0017
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	https://www.cpan.org/modules/by-module/DBM/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	92e950e8b99ee0c0d9a7fdefb36dc7d1
URL:		https://metacpan.org/dist/DBM-Deep
BuildRequires:	perl-Module-Build >= 0.28
BuildRequires:	perl-devel >= 1:5.8.4
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-Digest-MD5 >= 1.00
BuildRequires:	perl-File-Temp >= 0.01
BuildRequires:	perl-IO-stringy >= 0.01
BuildRequires:	perl-Pod-Parser >= 1.3
BuildRequires:	perl-Scalar-List-Utils >= 1.14
BuildRequires:	perl-Test-Deep >= 0.095
BuildRequires:	perl-Test-Exception >= 0.21
BuildRequires:	perl-Test-Simple >= 0.88
BuildRequires:	perl-Test-Warn >= 0.08
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A unique flat-file database module, written in pure Perl. True
multi-level hash/array support (unlike MLDBM, which is faked), hybrid
OO/tie() interface, cross-platform FTPable files, and quite fast. Can
handle millions of keys and unlimited hash levels without significant
slow-down. Written from the ground-up in pure Perl - this is NOT a
wrapper around a C-based DBM. Out-of-the-box compatibility with Unix,
Mac OS X and Windows.

%description -l pl.UTF-8
Jest to unikalny moduł bazy danych na płaskim pliku, napisany w
czystym Perlu. Ma prawdziwą obsługę wielopoziomowych haszy/tablic (w
przeciwieństwie do MLDBM, który jest oszukany), hybrydowy interfejs
obiektowy/tie(), wieloplatformowe pliki po FTP i jest dość szybki.
Może obsłużyć miliony kluczy i nieograniczoną liczbę poziomów tablic
asocjacyjnych bez znacznego spowolnienia. Napisany jest od początku w
czystym Perlu - NIE jest to wrapper na moduł DBM napisany w C. Jest
kompatybilny z Uniksami, Mac OS X oraz Windows.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	destdir=$RPM_BUILD_ROOT \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/DBM/Deep.pod \
	$RPM_BUILD_ROOT%{perl_vendorlib}/DBM/Deep/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/DBM
%{perl_vendorlib}/DBM/Deep.pm
%{perl_vendorlib}/DBM/Deep
%{_mandir}/man3/DBM::Deep*.3pm*
%changelog
* Wed Sep 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-DBM-Deep.git;a=log;h=master

* Wed Sep 06 2023 Jakub Bogusz <qboosh@pld-linux.org> 901f5c4
- updated to 2.0017

* Fri Jul 07 2023 Jan Palus <atler@pld-linux.org> 9fa8409
- fix for perl >= 5.38; rel 2

* Tue Oct 06 2020 Jakub Bogusz <qboosh@pld-linux.org> 8f8f7d3
- updated to 2.0016

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 1c1bd0f
- drop obsolete and outdated manual inclusion of rpm macros

* Sat Jan 25 2014 Jan Rękorajski <baggins@pld-linux.org> 73df323
- up to 2.0011
- removed BR provided by perl-modules

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 1fae6f2
- updated to 2.0008
- added pod patch (removes one syntax error from .pod)

* Sun May 27 2012 Jakub Bogusz <qboosh@pld-linux.org> efdee23
- updated to 2.0006

* Thu Mar 03 2011 Jakub Bogusz <qboosh@pld-linux.org> 61c9cf7
- updated to 2.0004

* Mon Sep 07 2009 amateja <amateja@pld-linux.org> cc96da4
- release 2

* Mon Sep 07 2009 amateja <amateja@pld-linux.org> 4327047
- updated Licence:
- added BRs for tests
- added %dir in %files section

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> a591f01
- updated to 1.0014

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 79acb68
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d5d81a4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ffed731
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> c238353
- formatting

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> fef7271
- uniksami->Uniksami

* Thu May 20 2004 Jakub Bogusz <qboosh@pld-linux.org> 7cdbb08
- pl

* Thu May 20 2004 migo <migo@pld-linux.org> 4b757df
- initial revision

